org.apache.catalina.mbeans

## Class ConnectorMBean

- java.lang.Object
- - org.apache.tomcat.util.modeler.BaseModelMBean
  - - org.apache.catalina.mbeans.ClassNameMBean
    - - org.apache.catalina.mbeans.ConnectorMBean

All Implemented Interfaces:
  DynamicMBean, MBeanRegistration, ModelMBeanNotificationBroadcaster, NotificationBroadcaster

    public class ConnectorMBean
    extends ClassNameMBean

A ModelMBean implementation for the `org.apache.coyote.tomcat5.CoyoteConnector` component.

Author:
  Amy Roh

### Field Summary

### Fields inherited from class org.apache.tomcat.util.modeler.BaseModelMBean

`attributeBroadcaster, generalBroadcaster, managedBean, oname, resource, resourceType`

### Constructor Summary

Constructors
Constructor and Description
`ConnectorMBean()` Construct a `ModelMBean` with default `ModelMBeanInfo` information.

### Method Summary

Methods
`Object` `getAttribute(String name)` Obtain and return the value of a specific attribute of this MBean.
`void` `setAttribute(Attribute attribute)` Set the value of a specific attribute of this MBean.

### Methods inherited from class org.apache.catalina.mbeans.ClassNameMBean

`getClassName`

### Methods inherited from class org.apache.tomcat.util.modeler.BaseModelMBean

`addAttributeChangeNotificationListener, addNotificationListener, getAttributes, getJmxName, getManagedResource, getMBeanInfo, getModelerType, getNotificationInfo, getObjectName, invoke, postDeregister, postRegister, preDeregister, preRegister, removeAttributeChangeNotificationListener, removeAttributeChangeNotificationListener, removeNotificationListener, removeNotificationListener, removeNotificationListener, sendAttributeChangeNotification, sendAttributeChangeNotification, sendNotification, sendNotification, setAttributes, setManagedBean, setManagedResource, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### ConnectorMBean

    public ConnectorMBean()
                   throws MBeanException,
                          RuntimeOperationsException

Construct a `ModelMBean` with default `ModelMBeanInfo` information.

Throws:
  `MBeanException` - if the initializer of an object throws an exception
  `RuntimeOperationsException` - if an IllegalArgumentException occurs

### Method Detail

#### getAttribute

    public Object getAttribute(String name)
                        throws AttributeNotFoundException,
                               MBeanException,
                               ReflectionException

Obtain and return the value of a specific attribute of this MBean.

Specified by:
  `getAttribute` in interface `DynamicMBean`
Overrides:
  `getAttribute` in class `BaseModelMBean`
Parameters:
  `name` - Name of the requested attribute
Throws:
  `AttributeNotFoundException` - if this attribute is not supported by this MBean
  `MBeanException` - if the initializer of an object throws an exception
  `ReflectionException` - if a Java reflection exception occurs when invoking the getter

#### setAttribute

    public void setAttribute(Attribute attribute)
                      throws AttributeNotFoundException,
                             MBeanException,
                             ReflectionException

Set the value of a specific attribute of this MBean.

Specified by:
  `setAttribute` in interface `DynamicMBean`
Overrides:
  `setAttribute` in class `BaseModelMBean`
Parameters:
  `attribute` - The identification of the attribute to be set and the new value
Throws:
  `AttributeNotFoundException` - if this attribute is not supported by this MBean
  `MBeanException` - if the initializer of an object throws an exception
  `ReflectionException` - if a Java reflection exception occurs when invoking the getter